OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
LinearOp< T > Struct Template Reference

`#include <ConjGradient.h>`

## Public Member Functions
| LinearOp (const T &a_, const T *x_, const T *y_, T *out_)
void | operator() (const SizeRange &range) const

## Public Attributes
const T | a
const T * | x
const T * | y
T * | out

## Constructor & Destructor Documentation

## ◆ LinearOp()

LinearOp | ( | const T & | a_,
|  | const T * | x_,
|  | const T * | y_,
|  | T * | out_
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const SizeRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ a

const T a

## ◆ out

T* out

## ◆ x

const T * x

## ◆ y

const T * y

The documentation for this struct was generated from the following file:

- ConjGradient.h